nvidia + mesalibs + quake3

shelton shelton at onr.com
Thu Apr 8 22:18:20 PDT 2004


ahoyhoy,

earlier this week, i found that i could not compile simple 
opengl programs.
so i ran out and got the Mesa libs and installed them.

now i can build and execute simple opengl programs, but 
quake3 can't start
anymore. i also get errors when trying to run the nvidia 
driver installer.

here's the nvidia log:
$ tail -20 /var/log/nvidia-installer.log
    /lib/modules/2.4.22/build/include/asm/hardirq.h:16: 
error: requested alignme
    nt is not a constant
    In file included from nv-linux.h:75,
                     from nv.c:14:
    /lib/modules/2.4.22/build/include/linux/interrupt.h:129: 
error: `CONFIG_X86_
    L1_CACHE_SHIFT' undeclared here (not in a function)
    /lib/modules/2.4.22/build/include/linux/interrupt.h:129: 
error: requested al
    ignment is not a constant
    In file included from nv.c:14:
    nv-linux.h:462:2: warning: #warning "conftest.sh failed, 
assuming old Linux
    2.4 remap_page_range(4)!"
    nv.c:77: warning: `nvos_proc_remove_all' declared 
`static' but never defined
    make[1]: *** [nv.o] Error 1
    make: *** [module] Error 2
-> Error.
ERROR: Unable to build the NVIDIA kernel module.
ERROR: Installation has failed.  Please see the file
        '/var/log/nvidia-installer.log' for details.

any ideas?
thanks.
-- 
~rick




More information about the blfs-support mailing list